Create a payment dunning

Endpoint responsible for submitting a dunning request linked to an existing charge in Asaas.

This call starts the debt reporting flow based on a previously created charge. In addition to the charge data, the request also requires complementary customer information and, when applicable, supporting documents related to the debt.


Important rule before integrating

To use this endpoint, the account must have permission to create dunning requests via API.

If this feature is not yet enabled, you must contact your Asaas account manager and request activation.


Main request parameters

Some fields play a central role in submitting the dunning request:

payment - Unique identifier of the charge that will be linked to the dunning request.

type - Type of dunning request to be submitted. Currently, the available value is:

  • CREDIT_BUREAU

description - Description of the product or service that originated the debt.

customerName - Name of the customer who will be reported.

customerCpfCnpj - Customer's CPF or CNPJ.

customerPrimaryPhone - Customer's primary phone number.

customerSecondaryPhone - Customer's secondary phone number.

customerPostalCode - Customer's ZIP code.

customerAddress - Customer's street address.

customerAddressNumber - Customer's address number.

customerComplement - Customer's address complement.

customerProvince - Customer's district or neighborhood.

documents - File containing the invoice and/or a notarized contract.


Relation to the charge

A dunning request always starts from an existing charge.

Because of this, the integration must store the charge identifier correctly and make sure that the record sent in the payment field matches exactly the debt that will be reported.

Supporting documentation

Depending on the analysis flow, the dunning request may require supporting documentation for the debt.

Submitting the correct documents is important to avoid rejection during review and the need for a new submission later.

Body Params
string
required

Unique identifier of the payment to be recovered in Asaas

string
enum
required

Type of payment dunning

Allowed:
string

Description of the product or service provided

string
required

Client name

string
required

Customer CPF or CNPJ

string
required

Customer main telephone number

string

Secondary customer phone number

string
required

Customer address zip code

string
required

Customer public address

string
required

Customer address number

string

Customer address complement

string
required

Customer neighborhood

file

Invoice and/or contract notarized

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json